<?php
/**
 * FW Food menu 5.1.1
 * @copyright (C) 2020 Fastw3b
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.fastw3b.net/ Official website
 **/

defined( '_JEXEC' ) or die( 'Restricted access' );

class menuViewMenu extends JViewLegacy {
	function display($tmpl=null) {
		$this->menu = 'menu';
		$model = $this->getModel();
		$this->setLayout('default');

        $this->app = JFactory::getApplication();
		$this->obj = $model->loadParamsObj();
		$this->qch = $model->quickCheck();
		$this->locstat = $model->localStat();
		$this->addons = $model->getAddons();
		$this->params = JComponentHelper::getParams('com_fwfoodmenu');
		fwFoodMenuHelper::triggerEvent('onLoadMainMenu', array('com_fwfoodmenu', 'menu', $this));
		parent::display($tmpl);
	}
}
